class Integer

  def closest_fibonacci
    raise InvalidArgumentError.new("Cannot be less than zero") if self < 0
    return self if [0,1].include?(self)
    x, y = 1, 1
    while((x+y) < self) do
      x, y = (x+y), x
    end
    x
  end
end

class InvalidArgumentError < StandardError
end
